Skip to Content
Multi-Factor Authentication (MFA)

List MFA Workflows

View Markdown (.md)
GET
/api/v1/public/mfa/workflows

Retrieves all configured multi-factor authentication workflows for the API key owner.

Authorization

headerX-Api-Key<token>

SMS Pro API Key (sk_live_... or sk_test_...)

Response Body

List of configured MFA workflows

application/json
  1. response
status?string
message?string
data?array<>
Example Request
curl -X GET 'https://api.smspro.com/api/v1/public/mfa/workflows'
Example Response
{  "status": "string",  "message": "string",  "data": [    {      "id": "string",      "name": "string",      "senderId": "string",      "codeLength": 0,      "expiryMinutes": 0,      "maxAttempts": 0,      "resendCooldownSeconds": 0,      "channel": "string",      "isDefault": true,      "isActive": true,      "webhookUrl": "string",      "defaultProofMode": "CHALLENGE_RESPONSE"    }  ]}